<mat-toolbar class="toolbar">
    <mat-toolbar-row>
        <img src="assets/images/logo-aster.png" width="180px" height="50px" />
        <span class="toolbar-end">

          <button mat-button class="nav-button" (click)="changeKey()" *ngIf="logged">
            API Keys
          </button>

          <button mat-button class="nav-button" (click)="redirectToWallet()" *ngIf="logged">
            <a href="https://wallet.abc-federation.dev.gaiax.ovh/Credentials">My wallet</a>
          </button>

          <div class="user-profile-container dropdown" [matMenuTriggerFor]="menu" *ngIf="logged" (menuOpened)="setDropdownState(true)" (menuClosed)="setDropdownState(false)">
            <div style="display: flex; align-items: center; height: 100%;">
                <div class="user-avatar">
                    {{getUserName().letters}}
                </div>
                <div class="arrow-cercle"><mat-icon>{{isDropdownOpen ? 'arrow_drop_up' : 'arrow_drop_down'}}</mat-icon></div>
            </div>
            <mat-menu #menu="matMenu" class="rounded-menu">
                <p style="text-align: center; padding: 10px 10px 0px 10px;">hey <span style="font-weight: 600;">{{getUserName().fullName}}!</span></p>
                <hr style="margin-top: 0px; padding-top: 0px;">
                <button mat-menu-item (click)="logout()">
                    <mat-icon style="color: #000F8E;">exit_to_app</mat-icon>
                    <span style="color: black; font-weight: lighter;">Log out</span>
                </button>
            </mat-menu>
          </div>
        </span>
    </mat-toolbar-row>
</mat-toolbar>
<router-outlet></router-outlet>
